> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/flagship-deprecated/steps-configuration/traffic-allocation.md).

# Traffic allocation

In Flagship, traffic allocation depends on a combination of a [Murmurhash algorithm](https://en.wikipedia.org/wiki/MurmurHash) and a [variationGroupId](https://developers.flagship.io/docs/glossary#variation-group-id). Each visitorId sent to the API (through POST request or thanks to the SDK) will be processed by this algorithm and, depending on the results, the visitor will be assigned to a specific variation.

The API uses the same bucket-style as the [bucketing](https://developers.flagship.io/docs/bucketing) feature.\
Depending on the percentage of traffic you configured in the platform, visitors will be assigned to a specific bucket.\
It is the same principle for dynamic allocation. The only difference is that the allocation changes depending on report results. However, a user who has already been assigned to a variation will still see the same variation. Dynamic allocation redirects only new visitors to the best performing variation.\
[Learn more about dynamic allocation](https://flagship.zendesk.com/hc/en-us/articles/360017551060).

**Need additional information?**

Submit your request at <product.feedback@abtasty.com>

Always happy to help!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/flagship-deprecated/steps-configuration/traffic-allocation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
